Bug 894609

Summary: Review Request: coin-or-OS - Optimization Services
Product: [Fedora] Fedora Reporter: Paulo Andrade <paulo.cesar.pereira.de.andrade>
Component: Package ReviewAssignee: Antonio Trande <anto.trande>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review
Target Milestone: ---Flags: anto.trande: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: coin-or-Sample-1.2.10-3.fc22 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-07-03 14:34:15 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 894585, 894586, 894587, 894593, 894594, 894597, 894598, 894600, 894604, 894605, 894606, 894608, 1197488    
Bug Blocks: 505154    

Description Paulo Andrade 2013-01-12 10:58:00 EST
Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-OS.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-OS-2.6.0-3.fc19.src.rpm
Description: The objective of Optimization Services (OS) is to provide a set of standards
for representing optimization instances, results, solver options, and
communication between clients and solvers in a distributed environment using
Web Services. This COIN-OR project provides source code for libraries and
executable programs that implement OS standards. See the Home Site
http://www.optimizationservices.org/ for more information.
Fedora Account System Username: pcpa
Comment 1 Paulo Andrade 2013-01-12 10:58:53 EST
Note that the tarball is remade due to:
+ Data files without a clean license. licensecheck does not trigger
  it because they are small test case files, but a not so small
  collection, and authorship information was lost.
+ ThirdParty directory, that points to, but has no contents, of
  non free code (usually source code open but needs some kind of
  paid license to be able to use).
+ Most coin-or projects bundle other coin-or projects that are
  dependencies. If tarballs are not repackaged, %build will remove
  the bundled dependencies.

I made the original package back in september and was talking from
time to time to upstream about the issues above. There should be
at some point in the near future a new release with bundled dependencies
and code that cannot be redistributed removed from tarballs. There is
also a way to get "clean" tarballs from coin-or trac, but for the
review request I did choose the most common method in Fedora for
these conditions.
Comment 2 Paulo Andrade 2013-01-14 17:48:08 EST
Update:

- Update to run make check (#894610#c4).

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-OS.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-OS-2.6.0-4.fc19.src.rpm

Actually does not run make check, as noted in the spec, because it
will core dump due to missing libhsl.so, and is the same issue as
https://projects.coin-or.org/Ipopt/ticket/75
Comment 3 Paulo Andrade 2015-04-11 14:22:21 EDT
The package can be built now in rawhide.

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-OS.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-OS-2.9.2-1.fc23.src.rpm
Comment 4 Antonio Trande 2015-04-13 11:46:06 EDT
Build fails because mp-devel is not required.
Comment 5 Paulo Andrade 2015-04-13 15:54:12 EDT
Thanks Antonio. It was my fault to test on a mock chroot
that already had it installed.

Update:
- Add missing bzip2, mp and zlib devel build requires
- Remove non needed doxygen build requires

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-OS.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-OS-2.9.2-2.fc23.src.rpm
Comment 6 Antonio Trande 2015-04-14 06:48:01 EDT
- Upstream MD5sum check error

- Compiler involve files with other license:

GPL (v2 or later)
-----------------
OS-2.9.2/v2.0/OSParseosrl.tab.cpp
OS-2.9.2/v2.0/OSParseosrl.tab.hpp

GPL (v3 or later)
-----------------
OS-2.9.2/src/OSParsers/OSParseosil.tab.cpp
OS-2.9.2/src/OSParsers/OSParseosil.tab.hpp
OS-2.9.2/src/OSParsers/OSParseosol.tab.cpp
OS-2.9.2/src/OSParsers/OSParseosol.tab.hpp
OS-2.9.2/src/OSParsers/OSParseosrl.tab.cpp
OS-2.9.2/src/OSParsers/OSParseosrl.tab.hpp

This is a Mixed Source Licensing Scenario 
http://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Mixed_Source_Licensing_Scenario

- 

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Sources used to build the package match the upstream source, as provided in
  the spec URL.
  Note: Upstream MD5sum check error, diff is in /home/sagitter/894609-coin-or-
  OS/diff.txt
  See: http://fedoraproject.org/wiki/Packaging/SourceURL
- If (and only if) the source package includes the text of the license(s) in
  its own file, then that file, containing the text of the license(s) for the
  package is included in %doc.
  Note: Cannot find LICENSE in rpm(s)
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[!]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "GPL (v3 or later)", "Unknown or generated". 251
     files have unknown license. Detailed output of licensecheck in
     /home/sagitter/894609-coin-or-OS/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
     Note: Test run failed
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Test run failed
[x]: Packages must not store files under /srv, /opt or /usr/local
     Note: Test run failed
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[x]: Latest version is packaged.
[?]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Test run failed
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: coin-or-OS-2.9.2-2.fc23.x86_64.rpm
          coin-or-OS-devel-2.9.2-2.fc23.x86_64.rpm
          coin-or-OS-2.9.2-2.fc23.src.rpm
coin-or-OS.x86_64: W: shared-lib-calls-exit /usr/lib64/libOS.so.6.9.2 exit@GLIBC_2.2.5
coin-or-OS.x86_64: W: no-manual-page-for-binary OSAmplClient
coin-or-OS.x86_64: W: no-manual-page-for-binary OSSolverService
coin-or-OS-devel.x86_64: W: only-non-binary-in-usr-lib
coin-or-OS-devel.x86_64: W: no-documentation
coin-or-OS.src: W: file-size-mismatch OS-2.9.2.tgz = 15630486, http://www.coin-or.org/download/pkgsource/OS/OS-2.9.2.tgz = 15630385
3 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
coin-or-OS (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libBcp.so.1()(64bit)
    libBonCouenne.so.1()(64bit)
    libCbc.so.3()(64bit)
    libCbcSolver.so.3()(64bit)
    libCgl.so.1()(64bit)
    libClp.so.1()(64bit)
    libClpSolver.so.1()(64bit)
    libCoinUtils.so.3()(64bit)
    libCouenne.so.1()(64bit)
    libDylp.so.1()(64bit)
    libOS.so.6()(64bit)
    libOsi.so.1()(64bit)
    libOsiClp.so.1()(64bit)
    libOsiDylp.so.1()(64bit)
    libOsiSym.so.3()(64bit)
    libOsiVol.so.1()(64bit)
    libSym.so.3()(64bit)
    libVol.so.1()(64bit)
    libasl.so.1()(64bit)
    libblas.so.3()(64bit)
    libbonmin.so.4()(64bit)
    libbonminampl.so.4()(64bit)
    libbz2.so.1()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libdmumps-5.0.0.so()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgomp.so.1()(64bit)
    libgomp.so.1(OMP_1.0)(64bit)
    libipopt.so.1()(64bit)
    libipoptamplinterface.so.1()(64bit)
    liblapack.so.3()(64bit)
    libm.so.6()(64bit)
    libmp.so.1()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)

coin-or-OS-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    coin-or-CoinUtils-devel
    coin-or-OS(x86-64)
    pkgconfig(bcp)
    pkgconfig(bonmin)
    pkgconfig(cbc)
    pkgconfig(coinutils)
    pkgconfig(couenne)
    pkgconfig(cppad)
    pkgconfig(ipopt)
    pkgconfig(osi-clp)
    pkgconfig(osi-dylp)
    pkgconfig(osi-sym)
    pkgconfig(osi-vol)



Provides
--------
coin-or-OS:
    coin-or-OS
    coin-or-OS(x86-64)
    libOS.so.6()(64bit)

coin-or-OS-devel:
    coin-or-OS-devel
    coin-or-OS-devel(x86-64)
    pkgconfig(os)



Source checksums
----------------
http://www.coin-or.org/download/pkgsource/OS/OS-2.9.2.tgz :
  CHECKSUM(SHA256) this package     : e11fc1d85ed680d4802611aa2c9916383e7d64094f76a287d91ed2209cbf153a
  CHECKSUM(SHA256) upstream package : fed62fedb756f81b61481c82b32122ca1add2826f79700849fe1e56e27fc3089
diff -r also reports differences


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 894609
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 7 Paulo Andrade 2015-04-15 09:33:06 EDT
I think it would not required to add "GPLv2+ and GPLv3+" if
the files were generated at build time, when yacc (BSD) could
also be used.
But instead, already parsed, by bison, files are being
distributed in the tarball.

I will ask upstream about it.
Comment 8 Paulo Andrade 2015-06-14 16:46:56 EDT
It may be required to wait a bit until newer mp (a
build requires) hits mirrors, as I rebuilt it earlier
today to correct broken dependencies.

Update:
- Update to latest upstream release
- Regenerate parsers (#894609#c7)

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-OS.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-OS-2.9.3-1.fc23.src.rpm
Comment 9 Antonio Trande 2015-06-15 12:18:11 EDT
Build failed:

Error: nothing provides libgecodeint.so.40 needed by mp-1.3.0-5.fc23.i686.
Comment 10 Paulo Andrade 2015-06-15 12:31:05 EDT
Please try again, I just sent you an email about it
possibly failing, for reference, here is the text :)

---8<---
  If you have trouble, that is, if mirrors were not updated since
yesterday, please download the newer mp, that fixes broken
dependencies.
  For example:
$ mkdir extra
$ cd extra
# from http://koji.fedoraproject.org/koji/buildinfo?buildID=645864
$ wget https://kojipkgs.fedoraproject.org//packages/mp/1.3.0/6.fc23/x86_64/mp-1.3.0-6.fc23.x86_64.rpm
$ wget https://kojipkgs.fedoraproject.org//packages/mp/1.3.0/6.fc23/x86_64/mp-devel-1.3.0-6.fc23.x86_64.rpm
$ cd ..
$ fedora-review -m fedora-rawhide-x86_64 -b 894609 --local-repo $PWD/extra
---8<---
Comment 11 Antonio Trande 2015-06-15 16:58:40 EDT
- Please, fix URL tag.

- LICENSE is correctly tagged as %license

- There is code licensed with GPL license and involved
  in package building. License tag should indicate GPL code too.
  http://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Mixed_Source_Licensing_Scenario

- Why documentation is not packaged?

- Please, fix 'unused-direct-shlib-dependency' warnings.
  See rpmlint (installed packages)


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file LICENSE is marked as %doc instead of %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later)", "GPL (v3 or later)", "Unknown or
     generated". 251 files have unknown license. Detailed output of
     licensecheck in /home/sagitter/894609-coin-or-OS/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[?]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: coin-or-OS-2.9.3-1.fc23.x86_64.rpm
          coin-or-OS-devel-2.9.3-1.fc23.x86_64.rpm
          coin-or-OS-2.9.3-1.fc23.src.rpm
coin-or-OS.x86_64: W: invalid-url URL: http://projects.coin-or.org/OS <urlopen error [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:590)>
coin-or-OS.x86_64: W: shared-lib-calls-exit /usr/lib64/libOS.so.6.9.2 exit@GLIBC_2.2.5
coin-or-OS.x86_64: W: no-manual-page-for-binary OSAmplClient
coin-or-OS.x86_64: W: no-manual-page-for-binary OSSolverService
coin-or-OS-devel.x86_64: W: invalid-url URL: http://projects.coin-or.org/OS <urlopen error [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:590)>
coin-or-OS-devel.x86_64: W: only-non-binary-in-usr-lib
coin-or-OS-devel.x86_64: W: no-documentation
coin-or-OS.src: W: invalid-url URL: http://projects.coin-or.org/OS <urlopen error [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:590)>
3 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (debuginfo)
-------------------
Checking: coin-or-OS-debuginfo-2.9.3-1.fc23.x86_64.rpm
coin-or-OS-debuginfo.x86_64: W: invalid-url URL: http://projects.coin-or.org/OS <urlopen error [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:590)>
coin-or-OS-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/OS-2.9.3/src/OSModelInterfaces/OSnl2OS.cpp
1 packages and 0 specfiles checked; 0 errors, 2 warnings.





Rpmlint (installed packages)
----------------------------
coin-or-OS-debuginfo.x86_64: W: invalid-url URL: http://projects.coin-or.org/OS <urlopen error [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:590)>
coin-or-OS-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/OS-2.9.3/src/OSModelInterfaces/OSnl2OS.cpp
coin-or-OS.x86_64: W: invalid-url URL: http://projects.coin-or.org/OS <urlopen error [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:590)>
coin-or-OS.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOS.so.6.9.2 /lib64/libBcp.so.1
coin-or-OS.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOS.so.6.9.2 /lib64/libmp.so.1
coin-or-OS.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOS.so.6.9.2 /lib64/libipoptamplinterface.so.1
coin-or-OS.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOS.so.6.9.2 /lib64/libbonminampl.so.4
coin-or-OS.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOS.so.6.9.2 /lib64/libSym.so.3
coin-or-OS.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOS.so.6.9.2 /lib64/libCgl.so.1
coin-or-OS.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOS.so.6.9.2 /lib64/libVol.so.1
coin-or-OS.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOS.so.6.9.2 /lib64/libDylp.so.1
coin-or-OS.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOS.so.6.9.2 /lib64/libClpSolver.so.1
coin-or-OS.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOS.so.6.9.2 /lib64/libClp.so.1
coin-or-OS.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOS.so.6.9.2 /lib64/libdmumps-5.0.0.so
coin-or-OS.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOS.so.6.9.2 /lib64/liblapack.so.3
coin-or-OS.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOS.so.6.9.2 /lib64/libblas.so.3
coin-or-OS.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOS.so.6.9.2 /lib64/libdl.so.2
coin-or-OS.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOS.so.6.9.2 /lib64/libbz2.so.1
coin-or-OS.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOS.so.6.9.2 /lib64/libz.so.1
coin-or-OS.x86_64: W: shared-lib-calls-exit /usr/lib64/libOS.so.6.9.2 exit@GLIBC_2.2.5
coin-or-OS.x86_64: W: no-manual-page-for-binary OSAmplClient
coin-or-OS.x86_64: W: no-manual-page-for-binary OSSolverService
coin-or-OS-devel.x86_64: W: invalid-url URL: http://projects.coin-or.org/OS <urlopen error [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:590)>
coin-or-OS-devel.x86_64: W: only-non-binary-in-usr-lib
coin-or-OS-devel.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 25 warnings.



Requires
--------
coin-or-OS (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libBcp.so.1()(64bit)
    libBonCouenne.so.1()(64bit)
    libCbc.so.3()(64bit)
    libCbcSolver.so.3()(64bit)
    libCgl.so.1()(64bit)
    libClp.so.1()(64bit)
    libClpSolver.so.1()(64bit)
    libCoinUtils.so.3()(64bit)
    libCouenne.so.1()(64bit)
    libDylp.so.1()(64bit)
    libOS.so.6()(64bit)
    libOsi.so.1()(64bit)
    libOsiClp.so.1()(64bit)
    libOsiDylp.so.1()(64bit)
    libOsiSym.so.3()(64bit)
    libOsiVol.so.1()(64bit)
    libSym.so.3()(64bit)
    libVol.so.1()(64bit)
    libasl.so.1()(64bit)
    libblas.so.3()(64bit)
    libbonmin.so.4()(64bit)
    libbonminampl.so.4()(64bit)
    libbz2.so.1()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libdmumps-5.0.0.so()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgomp.so.1()(64bit)
    libgomp.so.1(OMP_1.0)(64bit)
    libipopt.so.1()(64bit)
    libipoptamplinterface.so.1()(64bit)
    liblapack.so.3()(64bit)
    libm.so.6()(64bit)
    libmp.so.1()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)

coin-or-OS-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    coin-or-CoinUtils-devel
    coin-or-OS(x86-64)
    libOS.so.6()(64bit)
    pkgconfig(bcp)
    pkgconfig(bonmin)
    pkgconfig(cbc)
    pkgconfig(coinutils)
    pkgconfig(couenne)
    pkgconfig(cppad)
    pkgconfig(ipopt)
    pkgconfig(osi-clp)
    pkgconfig(osi-dylp)
    pkgconfig(osi-sym)
    pkgconfig(osi-vol)



Provides
--------
coin-or-OS:
    coin-or-OS
    coin-or-OS(x86-64)
    libOS.so.6()(64bit)

coin-or-OS-devel:
    coin-or-OS-devel
    coin-or-OS-devel(x86-64)
    pkgconfig(os)



Source checksums
----------------
http://www.coin-or.org/download/pkgsource/OS/OS-2.9.3.tgz :
  CHECKSUM(SHA256) this package     : 22916feb137ed70d94372bb68548d7287e4531aaac137dd72ad5483f43b1a78f
  CHECKSUM(SHA256) upstream package : 22916feb137ed70d94372bb68548d7287e4531aaac137dd72ad5483f43b1a78f


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 894609 --local-repo extra
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Built with local dependencies:
    /home/sagitter/extra/mp-devel-1.3.0-6.fc23.x86_64.rpm
    /home/sagitter/extra/mp-1.3.0-6.fc23.x86_64.rpm
Comment 12 Paulo Andrade 2015-06-15 20:48:53 EDT
(In reply to Antonio Trande from comment #11)

  Thanks for the review!

> - Please, fix URL tag.

  It is correct, try opening http://http://projects.coin-or.org/OS
but it has some issue with the ssl certificate.
In firefox, there will be an exclamation mark icon right of
the link, with the tooltip:
"This website does not supply identity information."

> - LICENSE is correctly tagged as %license
> 
> - There is code licensed with GPL license and involved
>   in package building. License tag should indicate GPL code too.

  This was the reason it took some time for the next review.
It bundles preprocessed bison and flex files, but it now
regenerate the parsers. See
http://www.gnu.org/software/bison/manual/bison.html#Conditions
The files are also regenerated at build time, so the
"exceptions" ally:
---8<---
OS-2.9.3/src/OSParsers/OSParseosrl.tab.cpp:
/* A Bison parser, made by GNU Bison 2.4.1.  */
...
/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.
   
   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */
...
---8<---

> http://fedoraproject.org/wiki/Packaging:
> LicensingGuidelines#Mixed_Source_Licensing_Scenario
> 
> - Why documentation is not packaged?
  My bad :) it was broken at some point, but fixed now!

> - Please, fix 'unused-direct-shlib-dependency' warnings.
>   See rpmlint (installed packages)

  I am unsure about these, because it would mean changing
RPM_LD_FLAGS, by adding -Wl,--as-needed to LDFLAGS. Maybe
these are one of the cases rpmlint is being too much verbose?
Anyway, I changed it avoid overlinking.

Update:
- Build documentation (#894609#c11)
- Do not overlink generated library (#894609#c11)
- Update file list when asl is disabled

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-OS.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-OS-2.9.3-2.fc23.src.rpm
Comment 13 Antonio Trande 2015-06-16 15:37:43 EDT
- unused-direct-shlib-dependency warnings persist.
Also there are various 'undefined symbol' related to linkages of libipopt and  libBonCouenne libraries i think, even if libOS.so.6.9.2 seems correctly linked to them.

- 'LICENSE is marked as %doc instead of %license' is a false positive. 
I don't know why comes out.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file LICENSE is marked as %doc instead of %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 56135680 bytes in 3328 files.
  See:
  http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later)", "GPL (v3 or later)", "Unknown or
     generated". 251 files have unknown license. Detailed output of
     licensecheck in /home/sagitter/894609-coin-or-OS/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in coin-or-
     OS-doc
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 56883200 bytes in /usr/share coin-
     or-OS-2.9.3-2.fc23.x86_64.rpm:56883200
     See:
     http://fedoraproject.org/wiki/Packaging:ReviewGuidelines#Package_Review_Guidelines
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: coin-or-OS-2.9.3-2.fc23.x86_64.rpm
          coin-or-OS-devel-2.9.3-2.fc23.x86_64.rpm
          coin-or-OS-doc-2.9.3-2.fc23.noarch.rpm
          coin-or-OS-2.9.3-2.fc23.src.rpm
coin-or-OS.x86_64: W: invalid-url URL: http://projects.coin-or.org/OS <urlopen error [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:590)>
coin-or-OS.x86_64: W: shared-lib-calls-exit /usr/lib64/libOS.so.6.9.2 exit@GLIBC_2.2.5
coin-or-OS.x86_64: W: no-manual-page-for-binary OSAmplClient
coin-or-OS.x86_64: W: no-manual-page-for-binary OSSolverService
coin-or-OS-devel.x86_64: W: invalid-url URL: http://projects.coin-or.org/OS <urlopen error [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:590)>
coin-or-OS-devel.x86_64: W: only-non-binary-in-usr-lib
coin-or-OS-devel.x86_64: W: no-documentation
coin-or-OS-doc.noarch: W: invalid-url URL: http://projects.coin-or.org/OS <urlopen error [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:590)>
coin-or-OS.src: W: invalid-url URL: http://projects.coin-or.org/OS <urlopen error [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:590)>
4 packages and 0 specfiles checked; 0 errors, 9 warnings.




Rpmlint (debuginfo)
-------------------
Checking: coin-or-OS-debuginfo-2.9.3-2.fc23.x86_64.rpm
coin-or-OS-debuginfo.x86_64: W: invalid-url URL: http://projects.coin-or.org/OS <urlopen error [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:590)>
coin-or-OS-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/OS-2.9.3/src/OSModelInterfaces/OSnl2OS.cpp
1 packages and 0 specfiles checked; 0 errors, 2 warnings.





Rpmlint (installed packages)
----------------------------
coin-or-OS-debuginfo.x86_64: W: invalid-url URL: http://projects.coin-or.org/OS <urlopen error [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:590)>
coin-or-OS-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/OS-2.9.3/src/OSModelInterfaces/OSnl2OS.cpp
coin-or-OS-doc.noarch: W: invalid-url URL: http://projects.coin-or.org/OS <urlopen error [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:590)>
coin-or-OS.x86_64: W: invalid-url URL: http://projects.coin-or.org/OS <urlopen error [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:590)>
coin-or-OS.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOS.so.6.9.2 /lib64/libBcp.so.1
coin-or-OS.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOS.so.6.9.2 /lib64/libmp.so.1
coin-or-OS.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOS.so.6.9.2 /lib64/libipoptamplinterface.so.1
coin-or-OS.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOS.so.6.9.2 /lib64/libbonminampl.so.4
coin-or-OS.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOS.so.6.9.2 /lib64/libSym.so.3
coin-or-OS.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOS.so.6.9.2 /lib64/libCgl.so.1
coin-or-OS.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOS.so.6.9.2 /lib64/libVol.so.1
coin-or-OS.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOS.so.6.9.2 /lib64/libDylp.so.1
coin-or-OS.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOS.so.6.9.2 /lib64/libClpSolver.so.1
coin-or-OS.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOS.so.6.9.2 /lib64/libClp.so.1
coin-or-OS.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOS.so.6.9.2 /lib64/libdmumps-5.0.0.so
coin-or-OS.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOS.so.6.9.2 /lib64/liblapack.so.3
coin-or-OS.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOS.so.6.9.2 /lib64/libblas.so.3
coin-or-OS.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOS.so.6.9.2 /lib64/libdl.so.2
coin-or-OS.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOS.so.6.9.2 /lib64/libbz2.so.1
coin-or-OS.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libOS.so.6.9.2 /lib64/libz.so.1
coin-or-OS.x86_64: W: shared-lib-calls-exit /usr/lib64/libOS.so.6.9.2 exit@GLIBC_2.2.5
coin-or-OS.x86_64: W: no-manual-page-for-binary OSAmplClient
coin-or-OS.x86_64: W: no-manual-page-for-binary OSSolverService
coin-or-OS-devel.x86_64: W: invalid-url URL: http://projects.coin-or.org/OS <urlopen error [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:590)>
coin-or-OS-devel.x86_64: W: only-non-binary-in-usr-lib
coin-or-OS-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 26 warnings.



Requires
--------
coin-or-OS-doc (rpmlib, GLIBC filtered):
    coin-or-OS

coin-or-OS (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libBcp.so.1()(64bit)
    libBonCouenne.so.1()(64bit)
    libCbc.so.3()(64bit)
    libCbcSolver.so.3()(64bit)
    libCgl.so.1()(64bit)
    libClp.so.1()(64bit)
    libClpSolver.so.1()(64bit)
    libCoinUtils.so.3()(64bit)
    libCouenne.so.1()(64bit)
    libDylp.so.1()(64bit)
    libOS.so.6()(64bit)
    libOsi.so.1()(64bit)
    libOsiClp.so.1()(64bit)
    libOsiDylp.so.1()(64bit)
    libOsiSym.so.3()(64bit)
    libOsiVol.so.1()(64bit)
    libSym.so.3()(64bit)
    libVol.so.1()(64bit)
    libasl.so.1()(64bit)
    libblas.so.3()(64bit)
    libbonmin.so.4()(64bit)
    libbonminampl.so.4()(64bit)
    libbz2.so.1()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libdmumps-5.0.0.so()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgomp.so.1()(64bit)
    libgomp.so.1(OMP_1.0)(64bit)
    libipopt.so.1()(64bit)
    libipoptamplinterface.so.1()(64bit)
    liblapack.so.3()(64bit)
    libm.so.6()(64bit)
    libmp.so.1()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)

coin-or-OS-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    coin-or-CoinUtils-devel
    coin-or-OS(x86-64)
    libOS.so.6()(64bit)
    pkgconfig(bcp)
    pkgconfig(bonmin)
    pkgconfig(cbc)
    pkgconfig(coinutils)
    pkgconfig(couenne)
    pkgconfig(cppad)
    pkgconfig(ipopt)
    pkgconfig(osi-clp)
    pkgconfig(osi-dylp)
    pkgconfig(osi-sym)
    pkgconfig(osi-vol)



Provides
--------
coin-or-OS-doc:
    coin-or-OS-doc

coin-or-OS:
    coin-or-OS
    coin-or-OS(x86-64)
    libOS.so.6()(64bit)

coin-or-OS-devel:
    coin-or-OS-devel
    coin-or-OS-devel(x86-64)
    pkgconfig(os)



Source checksums
----------------
http://www.coin-or.org/download/pkgsource/OS/OS-2.9.3.tgz :
  CHECKSUM(SHA256) this package     : 22916feb137ed70d94372bb68548d7287e4531aaac137dd72ad5483f43b1a78f
  CHECKSUM(SHA256) upstream package : 22916feb137ed70d94372bb68548d7287e4531aaac137dd72ad5483f43b1a78f


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 894609 --local-repo extra
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Built with local dependencies:
    /home/sagitter/extra/mp-devel-1.3.0-6.fc23.x86_64.rpm
    /home/sagitter/extra/mp-1.3.0-6.fc23.x86_64.rpm
Comment 14 Paulo Andrade 2015-06-16 20:11:34 EDT
(In reply to Antonio Trande from comment #13)
> - unused-direct-shlib-dependency warnings persist.

  I was experimenting with several different options. To
fix this, it would be required to do a complete audit to
know what can be dlopen'ed and patch pkg-config files to
not add unused libraries to its --libs output.
  I experimented with some libtool patches as well, but
without patching pkg-config files it will not work very
well.
  This would not be trivial, and would need upstream to
correct it; as it is now it is not wrong, just that it
links to, what the direct dependency libraries link to.

> Also there are various 'undefined symbol' related to linkages of libipopt
> and  libBonCouenne libraries i think, even if libOS.so.6.9.2 seems correctly
> linked to them.

  I did not see any "undefined symbol" log. Please post
an example. The library is linked with -no-undefined,
so, it may have been some false positive.

> - 'LICENSE is marked as %doc instead of %license' is a false positive. 
> I don't know why comes out.

I could not find a way to make %license work in rhel5
BTW, the way it is supposed to fix by redefining %license
to %doc does not work there; it expands the License tag...


Overall, I believe at first it would be better to remove
the LDFLAGS="$LDFLAGS -Wl,--as-needed" attempt, and
report upstream about overlinking, what is not really
an error, and the "fixes" for it most times cause
unexpected side effects, and are not applied in upstream
packages.
Comment 15 Antonio Trande 2015-06-17 08:16:41 EDT
(In reply to Paulo Andrade from comment #14)
> (In reply to Antonio Trande from comment #13)
> > - unused-direct-shlib-dependency warnings persist.
> 
>   I was experimenting with several different options. To
> fix this, it would be required to do a complete audit to
> know what can be dlopen'ed and patch pkg-config files to
> not add unused libraries to its --libs output.
>   I experimented with some libtool patches as well, but
> without patching pkg-config files it will not work very
> well.
>   This would not be trivial, and would need upstream to
> correct it; as it is now it is not wrong, just that it
> links to, what the direct dependency libraries link to.
> 

Okay.

> > Also there are various 'undefined symbol' related to linkages of libipopt
> > and  libBonCouenne libraries i think, even if libOS.so.6.9.2 seems correctly
> > linked to them.
> 
>   I did not see any "undefined symbol" log. Please post
> an example. The library is linked with -no-undefined,
> so, it may have been some false positive.

It's my mistake probably. I have consulted 'ldd' on libraries for F23 but in Fedora 22. :P

> 
> > - 'LICENSE is marked as %doc instead of %license' is a false positive. 
> > I don't know why comes out.
> 
> I could not find a way to make %license work in rhel5
> BTW, the way it is supposed to fix by redefining %license
> to %doc does not work there; it expands the License tag...
> 
> 
> Overall, I believe at first it would be better to remove
> the LDFLAGS="$LDFLAGS -Wl,--as-needed" attempt, and
> report upstream about overlinking, what is not really
> an error, and the "fixes" for it most times cause
> unexpected side effects, and are not applied in upstream
> packages.

-----

Package approved.
Comment 16 Paulo Andrade 2015-06-17 12:45:54 EDT
Thanks for the review Antonio!
Comment 17 Paulo Andrade 2015-06-17 12:47:18 EDT
New Package SCM Request
=======================
Package Name: coin-or-OS
Short Description: Optimization Services
Upstream URL: http://projects.coin-or.org/OS
Owners: pcpa
Branches: f21 f22
InitialCC:
Comment 18 Jon Ciesla 2015-06-18 10:59:43 EDT
Git done (by process-git-requests).
Comment 19 Fedora Update System 2015-06-22 23:27:52 EDT
coin-or-Sample-1.2.10-3.fc21,coin-or-CoinUtils-2.10.8-3.fc21,coin-or-Osi-0.107.4-3.fc21,coin-or-Cgl-0.59.5-4.fc21,coin-or-Alps-1.5.3-4.fc21,coin-or-Bcps-0.94.2-3.fc21,coin-or-Vol-1.5.2-3.fc21,coin-or-Bcp-1.3.8-7.fc21,coin-or-Blis-0.94.2-2.fc21,coin-or-Cbc-2.9.5-3.fc21,coin-or-DyLP-1.10.1-3.fc21,coin-or-CoinMP-1.7.6-7.fc21,coin-or-Dip-0.91.2-4.fc21,coin-or-FlopC++-1.1.7-7.fc21,coin-or-Ipopt-3.12.3-3.fc21,coin-or-Bonmin-1.8.1-6.fc21,coin-or-Couenne-0.5.2-6.fc21,coin-or-SYMPHONY-5.6.8-4.fc21,coin-or-OS-2.9.3-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/coin-or-Sample-1.2.10-3.fc21,coin-or-CoinUtils-2.10.8-3.fc21,coin-or-Osi-0.107.4-3.fc21,coin-or-Cgl-0.59.5-4.fc21,coin-or-Alps-1.5.3-4.fc21,coin-or-Bcps-0.94.2-3.fc21,coin-or-Vol-1.5.2-3.fc21,coin-or-Bcp-1.3.8-7.fc21,coin-or-Blis-0.94.2-2.fc21,coin-or-Cbc-2.9.5-3.fc21,coin-or-DyLP-1.10.1-3.fc21,coin-or-CoinMP-1.7.6-7.fc21,coin-or-Dip-0.91.2-4.fc21,coin-or-FlopC++-1.1.7-7.fc21,coin-or-Ipopt-3.12.3-3.fc21,coin-or-Bonmin-1.8.1-6.fc21,coin-or-Couenne-0.5.2-6.fc21,coin-or-SYMPHONY-5.6.8-4.fc21,coin-or-OS-2.9.3-4.fc21
Comment 20 Fedora Update System 2015-06-22 23:28:09 EDT
coin-or-Clp-1.16.6-5.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/coin-or-Clp-1.16.6-5.fc22
Comment 21 Fedora Update System 2015-06-22 23:37:32 EDT
coin-or-Sample-1.2.10-3.fc22,coin-or-CoinUtils-2.10.8-3.fc22,coin-or-Osi-0.107.4-3.fc22,coin-or-Cgl-0.59.5-4.fc22,coin-or-Alps-1.5.3-4.fc22,coin-or-Bcps-0.94.2-3.fc22,coin-or-Vol-1.5.2-3.fc22,coin-or-Bcp-1.3.8-7.fc22,coin-or-Blis-0.94.2-2.fc22,coin-or-Cbc-2.9.5-3.fc22,coin-or-DyLP-1.10.1-3.fc22,coin-or-CoinMP-1.7.6-7.fc22,coin-or-Dip-0.91.2-4.fc22,coin-or-FlopC++-1.1.7-7.fc22,coin-or-Ipopt-3.12.3-3.fc22,coin-or-Bonmin-1.8.1-6.fc22,coin-or-Couenne-0.5.2-6.fc22,coin-or-SYMPHONY-5.6.8-4.fc22,coin-or-OS-2.9.3-4.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/coin-or-Sample-1.2.10-3.fc22,coin-or-CoinUtils-2.10.8-3.fc22,coin-or-Osi-0.107.4-3.fc22,coin-or-Cgl-0.59.5-4.fc22,coin-or-Alps-1.5.3-4.fc22,coin-or-Bcps-0.94.2-3.fc22,coin-or-Vol-1.5.2-3.fc22,coin-or-Bcp-1.3.8-7.fc22,coin-or-Blis-0.94.2-2.fc22,coin-or-Cbc-2.9.5-3.fc22,coin-or-DyLP-1.10.1-3.fc22,coin-or-CoinMP-1.7.6-7.fc22,coin-or-Dip-0.91.2-4.fc22,coin-or-FlopC++-1.1.7-7.fc22,coin-or-Ipopt-3.12.3-3.fc22,coin-or-Bonmin-1.8.1-6.fc22,coin-or-Couenne-0.5.2-6.fc22,coin-or-SYMPHONY-5.6.8-4.fc22,coin-or-OS-2.9.3-4.fc22
Comment 22 Fedora Update System 2015-06-24 12:01:30 EDT
Package coin-or-Sample-1.2.10-3.fc22, coin-or-CoinUtils-2.10.8-3.fc22, coin-or-Osi-0.107.4-3.fc22, coin-or-Cgl-0.59.5-4.fc22, coin-or-Alps-1.5.3-4.fc22, coin-or-Bcps-0.94.2-3.fc22, coin-or-Vol-1.5.2-3.fc22, coin-or-Bcp-1.3.8-7.fc22, coin-or-Blis-0.94.2-2.fc22, coin-or-Cbc-2.9.5-3.fc22, coin-or-DyLP-1.10.1-3.fc22, coin-or-CoinMP-1.7.6-7.fc22, coin-or-Dip-0.91.2-4.fc22, coin-or-FlopC++-1.1.7-7.fc22, coin-or-Ipopt-3.12.3-3.fc22, coin-or-Clp-1.16.6-5.fc22, coin-or-Bonmin-1.8.1-6.fc22, coin-or-Couenne-0.5.2-6.fc22, coin-or-SYMPHONY-5.6.8-4.fc22, coin-or-OS-2.9.3-4.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing coin-or-Sample-1.2.10-3.fc22 coin-or-CoinUtils-2.10.8-3.fc22 coin-or-Osi-0.107.4-3.fc22 coin-or-Cgl-0.59.5-4.fc22 coin-or-Alps-1.5.3-4.fc22 coin-or-Bcps-0.94.2-3.fc22 coin-or-Vol-1.5.2-3.fc22 coin-or-Bcp-1.3.8-7.fc22 coin-or-Blis-0.94.2-2.fc22 coin-or-Cbc-2.9.5-3.fc22 coin-or-DyLP-1.10.1-3.fc22 coin-or-CoinMP-1.7.6-7.fc22 coin-or-Dip-0.91.2-4.fc22 coin-or-FlopC++-1.1.7-7.fc22 coin-or-Ipopt-3.12.3-3.fc22 coin-or-Clp-1.16.6-5.fc22 coin-or-Bonmin-1.8.1-6.fc22 coin-or-Couenne-0.5.2-6.fc22 coin-or-SYMPHONY-5.6.8-4.fc22 coin-or-OS-2.9.3-4.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10605/coin-or-Sample-1.2.10-3.fc22,coin-or-CoinUtils-2.10.8-3.fc22,coin-or-Osi-0.107.4-3.fc22,coin-or-Clp-1.16.6-5.fc22,coin-or-Cgl-0.59.5-4.fc22,coin-or-Alps-1.5.3-4.fc22,coin-or-Bcps-0.94.2-3.fc22,coin-or-Vol-1.5.2-3.fc22,coin-or-Bcp-1.3.8-7.fc22,coin-or-Blis-0.94.2-2.fc22,coin-or-Cbc-2.9.5-3.fc22,coin-or-DyLP-1.10.1-3.fc22,coin-or-CoinMP-1.7.6-7.fc22,coin-or-Dip-0.91.2-4.fc22,coin-or-FlopC++-1.1.7-7.fc22,coin-or-Ipopt-3.12.3-3.fc22,coin-or-Bonmin-1.8.1-6.fc22,coin-or-Couenne-0.5.2-6.fc22,coin-or-SYMPHONY-5.6.8-4.fc22,coin-or-OS-2.9.3-4.fc22
then log in and leave karma (feedback).
Comment 23 Fedora Update System 2015-07-03 14:34:15 EDT
coin-or-Sample-1.2.10-3.fc21, coin-or-CoinUtils-2.10.8-3.fc21, coin-or-Osi-0.107.4-3.fc21, coin-or-Cgl-0.59.5-4.fc21, coin-or-Alps-1.5.3-4.fc21, coin-or-Bcps-0.94.2-3.fc21, coin-or-Vol-1.5.2-3.fc21, coin-or-Bcp-1.3.8-7.fc21, coin-or-Blis-0.94.2-2.fc21, coin-or-Cbc-2.9.5-3.fc21, coin-or-DyLP-1.10.1-3.fc21, coin-or-CoinMP-1.7.6-7.fc21, coin-or-Dip-0.91.2-4.fc21, coin-or-FlopC++-1.1.7-7.fc21, coin-or-Ipopt-3.12.3-3.fc21, coin-or-Bonmin-1.8.1-6.fc21, coin-or-Couenne-0.5.2-6.fc21, coin-or-SYMPHONY-5.6.8-4.fc21, coin-or-OS-2.9.3-4.fc21, coin-or-Clp-1.16.6-5.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2015-07-03 14:47:10 EDT
coin-or-Sample-1.2.10-3.fc22, coin-or-CoinUtils-2.10.8-3.fc22, coin-or-Osi-0.107.4-3.fc22, coin-or-Cgl-0.59.5-4.fc22, coin-or-Alps-1.5.3-4.fc22, coin-or-Bcps-0.94.2-3.fc22, coin-or-Vol-1.5.2-3.fc22, coin-or-Bcp-1.3.8-7.fc22, coin-or-Blis-0.94.2-2.fc22, coin-or-Cbc-2.9.5-3.fc22, coin-or-DyLP-1.10.1-3.fc22, coin-or-CoinMP-1.7.6-7.fc22, coin-or-Dip-0.91.2-4.fc22, coin-or-FlopC++-1.1.7-7.fc22, coin-or-Ipopt-3.12.3-3.fc22, coin-or-Clp-1.16.6-5.fc22, coin-or-Bonmin-1.8.1-6.fc22, coin-or-Couenne-0.5.2-6.fc22, coin-or-SYMPHONY-5.6.8-4.fc22, coin-or-OS-2.9.3-4.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.